import request from "@/utils/request";


export function selectList(data){
  return request({
    url:"/market/orders/list",
    method: "POST",
    data: data
  })
}

export function addordersup(data){
  return request({
    url:"/market/orders/addOrdeds",
    method: "POST",
    data: data
  })
}

export function ordersDelete(ordersId) {
  return request({
    url: "/market/orders/delByOrderId/" + ordersId ,
    method: "GET"
  })
}

export function updateOrders(data) {
  return request({
    url: "/market/orders/updateOrders",
    method: "POST",
    data: data
  })
}

export function updateByeExist(ordersId) {
  return request({
    url: "/market/orders/updateByeExist/" + ordersId ,
    method: "GET"
  })
}


export function updateByExist(ordersId) {
  return request({
    url: "/market/orders/updateByExist/" + ordersId ,
    method: "GET"
  })
}


export function orderssd(ordersId) {
  return request({
    url: "/market/orders/delByOrderId/" + ordersId ,
    method: "GET"
  })
}


  export function pay(data){
    return request({
      url:"/market/alipay/pay",
      method: "get",
      data: data
    })}

export function getOut(){
  return request({
    url:"/market/orders/getOutAll",
    method: "GET"
  })}

export function listreclaim(data){
  return request({
    url:"/market/orders/listreclaim",
    method: "POST",
    data: data
  })}







